#ifndef _METACUBE_H
#define _METACUBE_H

/* Definitions for the Metacube protocol, used to communicate with Cubemap. */

#include <stdlib.h>

#define METACUBE_SYNC "\\o/_metacube_\\o/"  /* 16 bytes long. */
#define METACUBE_FLAGS_HEADER 0x1
#define METACUBE_FLAGS_NOT_SUITABLE_FOR_STREAM_START 0x2

struct metacube_block_header {
	char sync[16];   /* METACUBE_SYNC */
	uint32_t size;   /* Network byte order. Does not include header. */
	uint32_t flags;  /* Network byte order. METACUBE_FLAGS_*. */
};

#endif  /* !defined(_METACUBE_H) */
